Gdk::AppLaunchContext Class Reference

This is an implementation of Gio::AppLaunchContext that handles launching an application in a graphical context. More...

Inheritance diagram for Gdk::AppLaunchContext:
[legend]

## Public Member Functions

virtual | ~AppLaunchContext ()
GdkAppLaunchContext* | gobj ()
| Provides access to the underlying C GObject. More...
const GdkAppLaunchContext* | gobj () const
| Provides access to the underlying C GObject. More...
GdkAppLaunchContext* | gobj_copy ()
| Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs. More...
void | set_screen (const Glib::RefPtr< Gdk::Screen >& screen)
| Sets the screen on which applications will be launched when using this context. More...
void | set_desktop (int desktop)
| Sets the workspace on which applications will be launched when using this context when running under a window manager that supports multiple workspaces, as described in the Extended Window Manager Hints. More...
void | set_timestamp (guint32 timestamp)
| Sets the timestamp of context. More...
void | set_icon (const Glib::RefPtr< Gio::Icon >& icon)
| Sets the icon for applications that are launched with this context. More...
void | set_icon_name (const Glib::ustring& icon_name)
| Sets the icon for applications that are launched with this context. More...
Glib::PropertyProxy_ReadOnly < Glib::RefPtr< Display > > | property_display () const
| Display. More...
Public Member Functions inherited from Gio::AppLaunchContext
GAppLaunchContext * | gobj ()
const GAppLaunchContext * | gobj () const
GAppLaunchContext * | gobj_copy ()
void | setenv (const Glib::ustring &variable, const Glib::ustring &value)
void | unsetenv (const Glib::ustring &variable)
std::vector< Glib::ustring > | get_environment () const
std::string | get_display (const Glib::RefPtr< AppInfo > &info, const Glib::ListHandle< Glib::RefPtr< Gio::File > > &files)
std::string | get_startup_notify_id (const Glib::RefPtr< AppInfo > &info, const Glib::ListHandle< Glib::RefPtr< Gio::File > > &files)
void | launch_failed (const std::string &startup_notify_id)
void * | get_data (const QueryQuark &key)
void | set_data (const Quark &key, void *data)
void | set_data (const Quark &key, void *data, DestroyNotify notify)
void | remove_data (const QueryQuark &quark)
void * | steal_data (const QueryQuark &quark)
Glib::RefPtr < Gio::AppLaunchContext > | wrap (GAppLaunchContext *object, bool take_copy=false)
Glib::RefPtr< Glib::Object > | wrap (GObject *object, bool take_copy=false)

## Static Public Member Functions

static GType | get_type ()
| Get the GType for this class, for use with the underlying GObject type system. More...
static Glib::RefPtr < AppLaunchContext > | create ()
Static Public Member Functions inherited from Gio::AppLaunchContext
static GType | get_type ()
static Glib::RefPtr < AppLaunchContext > | create ()

## Protected Member Functions

| AppLaunchContext ()
Protected Member Functions inherited from Gio::AppLaunchContext
| AppLaunchContext ()
| Object ()
| Object (const Glib::ConstructParams &construct_params)
| Object (GObject *castitem)
virtual | ~Object ()
| ObjectBase ()
| ObjectBase (const char *custom_type_name)
| ObjectBase (const std::type_info &custom_type_info)
virtual | ~ObjectBase ()=0
void | initialize (GObject *castitem)

## Related Functions

(Note that these are not member functions.)
Glib::RefPtr < Gdk::AppLaunchContext > | wrap (GdkAppLaunchContext* object, bool take_copy=false)
| A Glib::wrap() method for this object. More...

## Additional Inherited Members

Public Types inherited from Gio::AppLaunchContext
typedef void(* | DestroyNotify )(gpointer data)

## Detailed Description

This is an implementation of Gio::AppLaunchContext that handles launching an application in a graphical context.

It provides startup notification and allows to launch applications on a specific screen or workspace.

Since gtkmm 3.4:

## Constructor & Destructor Documentation

virtual Gdk::AppLaunchContext::~AppLaunchContext | ( |  | ) |

virtual

Reimplemented from Gio::AppLaunchContext.

Gdk::AppLaunchContext::AppLaunchContext | ( |  | ) |

protected

## Member Function Documentation

static Glib::RefPtr<AppLaunchContext> Gdk::AppLaunchContext::create | ( |  | ) |

static

static GType Gdk::AppLaunchContext::get_type | ( |  | ) |

static

Get the GType for this class, for use with the underlying GObject type system.

GdkAppLaunchContext* Gdk::AppLaunchContext::gobj | ( |  | ) |

inline

Provides access to the underlying C GObject.

const GdkAppLaunchContext* Gdk::AppLaunchContext::gobj | ( |  | ) | const

inline

Provides access to the underlying C GObject.

GdkAppLaunchContext* Gdk::AppLaunchContext::gobj_copy | ( |  | ) |

Provides access to the underlying C instance. The caller is responsible for unrefing it. Use when directly setting fields in structs.

Glib::PropertyProxy_ReadOnly< Glib::RefPtr<Display> > Gdk::AppLaunchContext::property_display | ( |  | ) | const

Display.

You rarely need to use properties because there are get_ and set_ methods for almost all of them.

Returns
  A PropertyProxy_ReadOnly that allows you to get the value of the property, or receive notification when the value of the property changes.

void Gdk::AppLaunchContext::set_desktop | ( | int | desktop | ) |

Sets the workspace on which applications will be launched when using this context when running under a window manager that supports multiple workspaces, as described in the Extended Window Manager Hints.

When the workspace is not specified or desktop is set to -1, it is up to the window manager to pick one, typically it will be the current workspace.

Since gtkmm 2.14:

Parameters

  desktop | The number of a workspace, or -1.

void Gdk::AppLaunchContext::set_icon | ( | const Glib::RefPtr< Gio::Icon > & | icon | ) |

Sets the icon for applications that are launched with this context.

Window Managers can use this information when displaying startup notification.

See also set_icon_name().

Since gtkmm 2.14:

Parameters

  icon | A Icon, or `0`.

void Gdk::AppLaunchContext::set_icon_name | ( | const Glib::ustring & | icon_name | ) |

Sets the icon for applications that are launched with this context.

The icon_name will be interpreted in the same way as the Icon field in desktop files. See also set_icon().

If both icon and icon_name are set, the icon_name takes priority. If neither icon or icon_name is set, the icon is taken from either the file that is passed to launched application or from the AppInfo for the launched application itself.

Since gtkmm 2.14:

Parameters

  icon_name | An icon name, or `0`.

void Gdk::AppLaunchContext::set_screen | ( | const Glib::RefPtr< Gdk::Screen >& | screen | ) |

Sets the screen on which applications will be launched when using this context.

See also set_display().

If both screen and display are set, the screen takes priority. If neither screen or display are set, the default screen and display are used.

Since gtkmm 2.14:

Parameters

  screen | A Gdk::Screen.

void Gdk::AppLaunchContext::set_timestamp | ( | guint32 | timestamp | ) |

Sets the timestamp of context.

The timestamp should ideally be taken from the event that triggered the launch.

Window managers can use this information to avoid moving the focus to the newly launched application when the user is busy typing in another window. This is also known as 'focus stealing prevention'.

Since gtkmm 2.14:

Parameters

  timestamp | A timestamp.

## Friends And Related Function Documentation

Glib::RefPtr< Gdk::AppLaunchContext > wrap | ( | GdkAppLaunchContext * | object,
|  | bool | take_copy = `false`
| ) |  |

related

A Glib::wrap() method for this object.

Parameters

  object | The C instance.
  take_copy | False if the result should take ownership of the C instance. True if it should take a new copy or ref.

Returns
  A C++ instance that wraps this C instance.

The documentation for this class was generated from the following file:

- gdkmm/applaunchcontext.h